ICU 74.1 74.1

Data Structures | Namespaces
bytestream.h File Reference

C++ API: Interface for writing bytes, and implementation classes. More...

`#include "unicode/utypes.h"`
`#include "unicode/uobject.h"`
`#include "unicode/std_string.h"`

Go to the source code of this file.

## Data Structures
class | icu::ByteSink
| A ByteSink can be filled with bytes. More...
class | icu::CheckedArrayByteSink
| Implementation of ByteSink that writes to a flat byte array, with bounds-checking: This sink will not write more than capacity bytes to outbuf. More...
class | icu::StringByteSink< StringClass >
| Implementation of ByteSink that writes to a "string". More...

## Namespaces
| icu
| File coll.h.

## Detailed Description

C++ API: Interface for writing bytes, and implementation classes.

Definition in file bytestream.h.